plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 28
    buildToolsVersion "30.0.3"

    signingConfigs {
        release {
            storeFile file(KEY_PATH)
            storePassword KEY_PASS
            keyAlias ALIAS_NAME
            keyPassword ALIAS_PASS
        }
        debug {
            storeFile file(KEY_PATH)
            storePassword KEY_PASS
            keyAlias ALIAS_NAME
            keyPassword ALIAS_PASS
        }
    }

    defaultConfig {
        applicationId "com.emato.ich"
        minSdkVersion 25
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "EMQX_HOST", "\"tcp://8.135.102.238:1883\""
            buildConfigField "String", "ICSP_HOST", "\"http://icsp-api.ds-bay.com\""
            signingConfig signingConfigs.release
        }
        debug {
            minifyEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "EMQX_HOST", "\"tcp://183.3.221.143:1883\""
            buildConfigField "String", "ICSP_HOST", "\"http://icsp-testend.ds-bay.com\""
            //buildConfigField "String", "ICSP_HOST", "\"http://vz2x2s.natappfree.cc\""
            signingConfig signingConfigs.debug
        }
    }
    compileOptions {
        sourceCompatibility 1.8
        targetCompatibility 1.8
    }
    buildFeatures {
        viewBinding true
    }
}

dependencies {

    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.1'
    implementation 'androidx.navigation:navigation-fragment:2.3.0'
    implementation 'androidx.navigation:navigation-ui:2.3.0'
    implementation 'androidx.annotation:annotation:1.1.0'
    implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.2.0'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.2.0'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation fileTree(dir: "libs", include: ["*.aar"])
    implementation 'com.fasterxml.jackson.core:jackson-annotations:2.10.5'
    implementation 'com.fasterxml.jackson.core:jackson-core:2.10.5'
    implementation 'com.fasterxml.jackson.core:jackson-databind:2.10.5'
    implementation 'com.squareup.okhttp3:okhttp:4.4.0'
    implementation 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.5'
    implementation 'org.eclipse.paho:org.eclipse.paho.android.service:1.1.1'
    implementation "org.permissionsdispatcher:permissionsdispatcher:4.3.1"//权限
    annotationProcessor "org.permissionsdispatcher:permissionsdispatcher-processor:4.3.1"//权限
    implementation 'com.github.xuexiangjys:XUpdate:2.0.7'
    implementation 'com.github.xuexiangjys.XUpdateAPI:xupdate-downloader-aria:1.0.0'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.github.xuexiangjys.XUpdateAPI:xupdate-easy:1.0.0'
    implementation 'com.zhy:okhttputils:2.6.2'

    // implementation "com.iwdael:carouselbanner:$version"
    implementation 'com.hacknife:carouselbanner:1.1.2'
    //compile 'com.hacknife:carouselbanner:version'

    compile 'com.github.bumptech.glide:glide:4.12.0'
    //annotationProcessor 'com.github.bumptech.glide:compiler:4.12.0'
    //noinspection GradleCompatible,GradleCompatible
    //compile 'com.android.support:support-v4:28.0.0'



    testImplementation 'junit:junit:4.12'
    //implementation files('libs/moterndevicecontroller.aar')
      implementation files('libs/moterndevicecontroller2-release.aar')
}